Subject: Re: ls: reading directory /: No such file or directory
From: Jeff <[email-masked]>
To: [email-masked]
Date: Sun, 23 Dec 2007 17:56:52 -0800
Newsgroups: lists.cygwin
List-Id: <cygwin.cygwin.com>

On Sun, 23 Dec 2007 20:20:23 -0500,
Robert Pendell <shinji+gmane[at]elite-systems[dot]org> wrote:

>Jeff wrote:
[...]
>> $ mount
>> 
>> \\Winxp-inspiron\c on /inspiron type system (binmode)
>> C:\WINDOWS\TEMP on /tmp type system (binmode)
>> \\Winxp-desk\c on /desk-c type system (binmode)
>> \\Winxp-desk\d on /desk-d type system (binmode)
>> C:\Cygwin\bin on /usr/bin type system (binmode)
>> C:\Cygwin\lib on /usr/lib type system (binmode)
>> C:\Cygwin on / type system (binmode)
>> A: on /a type system (textmode)
>> C: on /c type system (textmode)
>> D: on /d type system (textmode)
>> E: on /e type system (textmode)
>> 
>> [Note: this is the same mount table I've been using for the past
>> several versions of the dll.
[...]
>I was unable to reproduce this from here.  My cygwin.dll file is the
>same as yours (I just updated).  I also ran the same series of commands
>so you can compare results...
[...]
>shinji@Shinji-Winxp ~
>$ mount
>C:\cygwin\bin on /usr/bin type system (binmode)
>C:\cygwin\lib on /usr/lib type system (binmode)
>C:\cygwin on / type system (binmode)
>c: on /cygdrive/c type system (binmode,noumount)
>d: on /cygdrive/d type system (binmode,noumount)

IOW, the standard default mount table that setup.exe installs. Perhaps
something in my mount table is causing this...?

>As for the /: bit.  /: is likely just / (indicating root folder) and the
>colon (:) is just a seperator to split between the error messages.  This
>is typical.

So 'ls' is telling me that my root directory is not found, then listing
its contents? That makes even less sense to me...

Administrator@winxp-notebook ~
$ cd /

Administrator@winxp-notebook /
$ ls -la
ls: reading directory .: No such file or directory
total 425
drwx------+ 21 Administrator None      0 Dec 23 16:29 .
drwx------+ 21 Administrator None      0 Dec 23 16:29 ..
drwx------+  2 Administrator None      0 Dec 19 12:23 bin
[...]

-- 
"Sorry, my life is still in beta, and nowhere near stable enough for a
release."

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/